org.apache.ignite.internal.processors.platform.websession

## Class PlatformDotNetSessionLockResult

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.websession.PlatformDotNetSessionLockResult

All Implemented Interfaces:
  Binarylizable

    public class PlatformDotNetSessionLockResult
    extends Object
    implements Binarylizable

Result of the `PlatformDotNetSessionLockProcessor` execution.

### Constructor Summary

Constructors
Constructor and Description
`PlatformDotNetSessionLockResult(boolean success, PlatformDotNetSessionData data, Timestamp lockTime, long lockId)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`String` `toString()`
`void` `writeBinary(BinaryRawWriter writer)` Writes to a binary writer.
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PlatformDotNetSessionLockResult

    public PlatformDotNetSessionLockResult(boolean success,
                                           PlatformDotNetSessionData data,
                                           Timestamp lockTime,
                                           long lockId)

Constructor.

Parameters:
  `success` - Success flag.
  `data` - Session data.
  `lockTime` - Lock time.

### Method Detail

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### writeBinary

    public void writeBinary(BinaryRawWriter writer)

Writes to a binary writer.

Parameters:
  `writer` - Binary writer.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018